<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('import_entities', function (Blueprint $table) {
            if (! Schema::hasColumn('import_entities', 'meta')) {
                $table->boolean('meta')->default(false)->after('supports_multiple');
            }
        });
    }

    public function down(): void
    {
        Schema::table('import_entities', function (Blueprint $table) {
            if (Schema::hasColumn('import_entities', 'meta')) {
                $table->dropColumn('meta');
            }
        });
    }
};
